Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.manager
Class PortalFactory

    java.lang.Object
      com.bea.portal.manager.PortalFactory

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public abstract class PortalFactory
extends Object

Abstract class `PortalFactory` contains a set of static methods that should be used to create concrete instances of classes in the portal framework.

Constructor Summary
`PortalFactory()` Deprecated.

Method Summary
`static com.bea.portal.manager.internal.LayoutDefinitionImpl` | `createLayoutDefinition(LayoutIdentifier layoutId)` Deprecated. Returns an instance of `LayoutDefinitionImpl` from an existing `LayoutIdentifier`.
`static LayoutIdentifier` | `createLayoutIdentifier(PortalIdentifier portalId, String name)` Deprecated. Returns an instance of `LayoutIdentifier` from an existing `PortalIdentifier` and a unique name within this portal.
`static PageIdentifier` | `createPageIdentifier(PortalIdentifier portalId, String name)` Deprecated. Returns an instance of `PageIdentifier` from an existing `PortalIdentifier` and a unique name within this portal.
`static PlaceholderIdentifier` | `createPlaceholderIdentifier(PageIdentifier pageId, String placeholderName)` Deprecated. Returns an instance of `PlaceholderIdentifier` from an existing `PageIdentifier` and a unique name within this portal.
`static PortalIdentifier` | `createPortalIdentifier(String identifier)` Deprecated. Returns an instance of `PortalIdentifier` from an existing constructed id.
`static PortalIdentifier` | `createPortalIdentifier(String appName, String webApp)` Deprecated. Returns an instance of `PortalIdentifier` from the enterprise application name and the web application name.
`static PortletIdentifier` | `createPortletIdentifier(PortalIdentifier portalId, String name)` Deprecated. Returns an instance of `PortletIdentifier` from an existing `PortalIdentifier` and a unique name within this portal.
`static com.bea.portal.manager.internal.SkinDefinitionImpl` | `createSkinDefinition(SkinIdentifier skinId)` Deprecated. Returns an instance of `SkinDefinitionImpl` from an existing `SkinIdentifier`.
`static SkinIdentifier` | `createSkinIdentifier(PortalIdentifier portalId, String name)` Deprecated. Returns an instance of `SkinIdentifier` from an existing `PortalIdentifier` and a unique name within this portal.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalFactory

    public PortalFactory()

  Deprecated.

Method Detail

### createPortalIdentifier

    public static PortalIdentifier createPortalIdentifier(String appName,
                                                          String webApp)

  Deprecated.
  Returns an instance of `PortalIdentifier` from the enterprise application name and the web application name.

  Parameters:
    `appName` - the application name that the portal webapp is in.
    `webApp` - the name of the web application itself.
  Returns:
    a new instance of `PortalIdentifier`.

### createPortalIdentifier

    public static PortalIdentifier createPortalIdentifier(String identifier)

  Deprecated.
  Returns an instance of `PortalIdentifier` from an existing constructed id. Only use this constructor with a `String` that was obtained by calling `getId` on an instance of `PortalIdentifier`.

  Parameters:
    `identifier` - an existing constructed id.
  Returns:
    a new instance of `PortalIdentifier`.

### createPageIdentifier

    public static PageIdentifier createPageIdentifier(PortalIdentifier portalId,
                                                      String name)

  Deprecated.
  Returns an instance of `PageIdentifier` from an existing `PortalIdentifier` and a unique name within this portal.

  Parameters:
    `portalId` - the portal that this page is scoped to.
    `name` - the unique name of the page within this portal.
  Returns:
    a new instance of `PageIdentifier`.

### createPortletIdentifier

    public static PortletIdentifier createPortletIdentifier(PortalIdentifier portalId,
                                                            String name)

  Deprecated.
  Returns an instance of `PortletIdentifier` from an existing `PortalIdentifier` and a unique name within this portal.

  Parameters:
    `portalId` - the portal that this portlet is scoped to.
    `name` - the unique name of the portlet within this portal.
  Returns:
    a new instance of `PortletIdentifier`.

### createLayoutIdentifier

    public static LayoutIdentifier createLayoutIdentifier(PortalIdentifier portalId,
                                                          String name)

  Deprecated.
  Returns an instance of `LayoutIdentifier` from an existing `PortalIdentifier` and a unique name within this portal.

  Parameters:
    `portalId` - the portal that this layout is scoped to.
    `name` - the unique name of the layout within this portal.
  Returns:
    a new instance of `LayoutIdentifier`.

### createSkinIdentifier

    public static SkinIdentifier createSkinIdentifier(PortalIdentifier portalId,
                                                      String name)

  Deprecated.
  Returns an instance of `SkinIdentifier` from an existing `PortalIdentifier` and a unique name within this portal.

  Parameters:
    `portalId` - the portal that this skin is scoped to.
    `name` - the unique name of the skin within this portal.
  Returns:
    a new instance of `SkinIdentifier`.

### createPlaceholderIdentifier

    public static PlaceholderIdentifier createPlaceholderIdentifier(PageIdentifier pageId,
                                                                    String placeholderName)

  Deprecated.
  Returns an instance of `PlaceholderIdentifier` from an existing `PageIdentifier` and a unique name within this portal.

  Parameters:
    `pageId` - the page that this placeholder is scoped to.
  Returns:
    a new instance of `PlaceholderIdentifier`.

### createSkinDefinition

    public static com.bea.portal.manager.internal.SkinDefinitionImpl createSkinDefinition(SkinIdentifier skinId)

  Deprecated.
  Returns an instance of `SkinDefinitionImpl` from an existing `SkinIdentifier`.

  Parameters:
    `skinId` - the skin to be personalized.
  Returns:
    a new instance of `SkinDefinitionImpl`.

### createLayoutDefinition

    public static com.bea.portal.manager.internal.LayoutDefinitionImpl createLayoutDefinition(LayoutIdentifier layoutId)

  Deprecated.
  Returns an instance of `LayoutDefinitionImpl` from an existing `LayoutIdentifier`.

  Parameters:
    `layoutId` - the layout to be personalized.
  Returns:
    a new instance of `LayoutDefinitionImpl`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved